package com.izouma.nineth.service;

import com.izouma.nineth.ApplicationTests;
import org.apache.commons.lang3.RandomStringUtils;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

public class NFTServiceTest extends ApplicationTests {
    @Autowired
    private NFTService nftService;

    @Test
    public void createAccount() {
        nftService.createAccount(RandomStringUtils.randomAlphabetic(8));
    }

    @Test
    public void createToken() throws Exception {
        nftService.createToken("9th_BHlKkGWw");
    }

    @Test
    public void testCreateToken() {
    }

    @Test
    public void transferToken() throws Exception {
        nftService.transferToken("000000000000000000000000000000000000000000000000000000000000009d",
                "9th_BHlKkGWw", "9th_test");
    }

    @Test
    public void setApprovalForAll() throws Exception {
        nftService.setApprovalForAll("9th_test");
    }
}